Package oasis.names.tc.dss._1_0.core.schema

# Class KeySelector

java.lang.Object
oasis.names.tc.dss._1_0.core.schema.KeySelector

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:08:50+02:00", comments="JAXB RI v4.0.5") public class KeySelector extends Object implements Serializable

Java class for anonymous complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <choice>
             <element ref="{http://www.w3.org/2000/09/xmldsig#}KeyInfo"/>
             <element name="Other" type="{urn:oasis:names:tc:dss:1.0:core:schema}AnyType"/>
           </choice>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `KeySelector()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `KeyInfo`
  `getKeyInfo()`
  Gets the value of the keyInfo property.
  `AnyType`
  `getOther()`
  Gets the value of the other property.
  `void`
  `setKeyInfo(KeyInfo value)`
  Sets the value of the keyInfo property.
  `void`
  `setOther(AnyType value)`
  Sets the value of the other property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### KeySelector

    public KeySelector()

- ## Method Details

  - ### getOther

    public AnyType getOther()
    Gets the value of the other property.
    Returns:
      possible object is `AnyType`

  - ### setOther

    public void setOther(AnyType value)
    Sets the value of the other property.
    Parameters:
      `value` - allowed object is `AnyType`

  - ### getKeyInfo

    public KeyInfo getKeyInfo()
    Gets the value of the keyInfo property.
    Returns:
      possible object is `KeyInfo`

  - ### setKeyInfo

    public void setKeyInfo(KeyInfo value)
    Sets the value of the keyInfo property.
    Parameters:
      `value` - allowed object is `KeyInfo`